Skip to content
getgeolens.com

Get Map History Endpoint

GET
/maps/{map_id}/history
curl --request GET \
--url 'https://example.com/maps/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/history?skip=0&limit=50' \
--header 'Authorization: Bearer <token>'

Return recent builder edit history for a map.

map_id
required
Map Id
string format: uuid
skip
Skip
integer
0
limit
Limit
integer
default: 50 >= 1 <= 100

Successful Response

Media type application/json
MapHistoryListResponse
object
events
required
Events
Array<object>
MapHistoryEventResponse
object
id
required
Id
string format: uuid
map_id
required
Map Id
string format: uuid
actor_id
Any of:
string format: uuid
actor_username
Any of:
string
target_type
required
Target Type
string
target_id
Any of:
string format: uuid
target_name
Any of:
string
action
required
Action
string
summary
required
Summary
string
details
Details
object
key
additional properties
any
created_at
required
Created At
string format: date-time
total
required
Total
integer
skip
required
Skip
integer
limit
required
Limit
integer
Example generated
{
"events": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"map_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"actor_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"actor_username": "example",
"target_type": "example",
"target_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"target_name": "example",
"action": "example",
"summary": "example",
"details": {},
"created_at": "2026-04-15T12:00:00Z"
}
],
"total": 1,
"skip": 1,
"limit": 1
}

Bad request — invalid payload

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Unauthorized — missing or invalid credentials

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Forbidden — caller lacks write access

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Not found

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Conflict — resource state prevents the operation

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Validation error

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Too many requests — retry after the advertised interval

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}
Retry-After
integer

Seconds until the request may be retried

Internal server error

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Service unavailable — the database could not serve the request

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}